Bug 60414 - partition size reporting during install inconsistent
partition size reporting during install inconsistent
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Beth Uptagrafft
Beth Uptagrafft
Depends On:
  Show dependency treegraph
Reported: 2002-02-27 11:37 EST by Jeff Wiedemeier
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-27 14:23:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Wiedemeier 2002-02-27 11:37:04 EST
Description of Problem:

The partition sizes reported on the "review" screen after autopartitioning are
correct. The dialog brought up to "edit" a partition often shows incorrect
sizes. For example, on an AlphaServer DS10 with an 18GB disk, autopartitioning
set up the disk as (sizes  are approximated):
    /dev/sda1  /boot 50MB
    /dev/sda2  swap   2GB
    /dev/sda3  /     15.5GB

Editing the partitions showed sizes in the edit dialog as:
    /dev/sda1 - 50MB
    /dev/sda2 - 1008MB
    /dev/sda3 - 700MB (on one attempt - 1100MB on another)

Version-Release number of selected component (if applicable):

7.2 beta2 (0222.1 iso)

How Reproducible:


Steps to Reproduce:
1. allow autopartitioning during install
2. from review screen, "edit" partitions
3. compare actual partition size with size show in edit screen

Actual Results:

described above - actual size and size shown in edit screen is inconsistent

Expected Results:

all methods of reporting partition size should agree

Additional Information:
Comment 1 Alexandre Petit-Bianco 2002-03-20 13:34:28 EST
A given class of installation (e.g. workstation, server, etc...) will come up
with a set of partitions and pre-determined sizes that Anaconda will try to fit
on the selected disk space, although it might end up using something different.

The size reported in the edit panel is the pre-determined size, not the one 
Anaconda was eventually able to use. Displaying the pre-determined size gives 
Anaconda the ability to setup growable partitions.

Comment 2 harry.heinisch 2002-04-03 12:04:07 EST
I'm not sure I understand why this is ok.  A user is presented with 
inconsistant information, and the edit screen from which he's making changes 
from is wrong.
Shouldn't the edit screen read the disk label to see what its current state 
is, or if thats not possible note that the information presented is (or may 
not) be accurate?

As I recall we found this after the autopartitioning had done its thing and we 
were given a chance to edit it...


Note You need to log in before you can comment on or make changes to this bug.